## \file    manifests/config/template.pp
#  \author  Scott Wales <scott.wales@unimelb.edu.au>
#
#  Copyright 2015 ARC Centre of Excellence for Climate Systems Science
#
#  Licensed under the Apache License, Version 2.0 (the "License");
#  you may not use this file except in compliance with the License.
#  You may obtain a copy of the License at
#
#      http://www.apache.org/licenses/LICENSE-2.0
#
#  Unless required by applicable law or agreed to in writing, software
#  distributed under the License is distributed on an "AS IS" BASIS,
#  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#  See the License for the specific language governing permissions and
#  limitations under the License.

# Sample type that configures an installed tag using a template
define multiinstall::config::template (
  $tag_name,
  $tag_install_path,

  $config_path,
  $template,
  $options,
) {

  file {"${tag_install_path}/${config_path}":
    ensure  => present,
    content => template($template),
  }

}
